> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minestorecms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Coupon

> Removes the coupon from the user's cart and updates the cart items' prices accordingly.



## OpenAPI

````yaml POST /cart/removeCoupon
openapi: 3.0.0
info:
  title: MineStoreCMS REST API
  description: Documentation for MineStoreCMS Frontend REST API.
  version: 3.8.7
servers:
  - url: https://v3.minestorecms.com/api
    description: Example URL of Demo Server
security: []
tags: []
paths:
  /cart/removeCoupon:
    post:
      tags:
        - cart
      summary: Remove the currently applied coupon from the user's cart
      description: >-
        Removes the coupon from the user's cart and updates the cart items'
        prices accordingly.
      responses:
        '200':
          description: Successfully removed the coupon.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Indicates the operation was successful.
                    example: true
                  message:
                    type: string
                    description: Confirmation message for the coupon removal.
                    example: Coupon was successfully removed!
                  percent:
                    type: number
                    format: float
                    description: Always 0 if the coupon was removed.
                    example: 0
                  type:
                    type: string
                    description: >-
                      Type of the discount applied (in this case, always
                      'coupon').
                    example: coupon
        '401':
          description: Unauthorized - Invalid or missing Access Token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Indicates the operation was unsuccessful.
                    example: false
                  message:
                    type: string
                    description: Details about the unauthorized access or error.
                    example: Invalid or missing Access Token.
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````